FROM node:14-alpine
# update npm
RUN apk add openjdk8
RUN npm i npm -g
ENV NODE_ENV=development

COPY . /app

WORKDIR /app

VOLUME [ "/app/src" ]
RUN npm ci --registry https://nexus.nspop.dk/nexus/repository/nsp-npm/

EXPOSE 4700 8080
CMD npm run start
